<?php
/**********************************************************************************
* ResetDisplayNameCSS.php                                                         *
* Change Display Name CSS item (1.0)                                              *
***********************************************************************************
* SMFShop: Shop MOD for Simple Machines Forum                                     *
* =============================================================================== *
* $Date:: 2007-04-07 21:59:36 +1000 (Sat, 07 Apr 2007)                          $ *
* $Id:: ChangeDisplayNameCSS.php 6 2007-04-07 11:59:36Z daniel15                $ *
* Software by:                DanSoft Australia (http://www.dansoftaustralia.net/)*
* Copyright 2005-2007 by:     DanSoft Australia (http://www.dansoftaustralia.net/)*
* Support, News, Updates at:  http://www.dansoftaustralia.net/                    *
*                                                                                 *
* Forum software by:          Simple Machines (http://www.simplemachines.org)     *
* Copyright 2006-2007 by:     Simple Machines LLC (http://www.simplemachines.org) *
*           2001-2006 by:     Lewis Media (http://www.lewismedia.com)             *
***********************************************************************************
* This program is free software; you may redistribute it and/or modify it under   *
* the terms of the provided license as published by Simple Machines LLC.          *
*                                                                                 *
* This program is distributed in the hope that it is and will be useful, but      *
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY    *
* or FITNESS FOR A PARTICULAR PURPOSE.                                            *
*                                                                                 *
* See the "license.txt" file for details of the Simple Machines license.          *
* The latest version of the license can always be found at                        *
* http://www.simplemachines.org.                                                  *
**********************************************************************************/

// If file is not called by SMF, don't let them get anywhere!
if (!defined('SMF'))
	die('Hacking attempt...');

class item_ResetDisplayNameCSS extends itemTemplate
{
	function getItemDetails()
	{
		$this->authorName = 'Daniel15';
		$this->authorWeb = 'http://www.dansoftaustralia.net/';
		$this->authorEmail = 'dansoft@dansoftaustralia.net';
	
		$this->name = 'Reset display name style';
		$this->desc = 'Change the style of your display name back to normal';
		$this->price = 10;

		$this->require_input = false;
		$this->can_use_item = true;
	}

	function onUse()
	{
		global $db_prefix, $ID_MEMBER;

		$result = db_query("
			UPDATE {$db_prefix}members
			SET shop_nameStyle = ''
			WHERE ID_MEMBER = {$ID_MEMBER}", __FILE__, __LINE__);

		return 'Successfully reset display name style!';
	}

}

?>
